import { useEffect } from 'react';
import { ProductProvider } from '../../../modules/simulation/products/productContext'
import ComparisonScene from './ComparisonScene';
import { useSceneContext } from '../../../modules/scene/sceneContext';

function ComparisonSceneProvider() {
    const { assetStore } = useSceneContext();
    const { clearAssets } = assetStore();

    useEffect(() => {
        clearAssets();
    }, [])

    return (
        <ProductProvider>
            <ComparisonScene />
        </ProductProvider>
    )
}

export default ComparisonSceneProvider